Subject: Re: bug#66394: 29.1; Make register-read-with-preview more useful

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Dec 2023 20:39:49 +0200

> From: Eshel Yaron <[email-masked]>
> Cc: [email-masked],  Eli Zaretskii <[email-masked]>,
>   [email-masked],  [email-masked],  [email-masked]
> Date: Sun, 03 Dec 2023 19:29:19 +0100
> 
> > otherwise it is easy to revert completely my commits (it is the
> > development branch of emacs after all).
> 
> Seeing as you are not willing to make this change backward compatible, I
> think that would make sense.  I don't have commit rights to emacs.git,
> so I can't do that myself, though.

Thierry also said:

> > So it'd be great to have the previous behavior available in Emacs 30.
> 
> Sorry but I wont write this, it is not complicated to write but needs
> works and attention and I spent enough time on this.

So maybe a better way forward is for someone, perhaps you Eshel, to
add whatever is needed to provide optionally the previous behavior?

Would you like to work on that?